﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kivii.Client.Invoices.Etax
{
    public class Invoice
    {
        public Guid Kvid { get; set; }

        public string SerialNumber { get; set; }
    }

    [Route(Configs.RouteInvoiceQuery)]
    public  class RequestInvoice:IReturn<RestfulQueryResponse<Invoice>>
    {
        public Guid OffsetKvid { get; set; }
        public Guid ParentKvid { get; set; }
        public string SerialNumber { get; set; }
    }

    [Route(Configs.RouteStorage)]
    public class RequestStorage : IReturn<RestfulQueryResponse<EntityDbFile<Invoice>>>
    {
        public Guid OwnerKvid { get; set; }

        public string FolderPath { get; set; } = "/Finances/Invoices/Files";
    }
}
